Bug 191907 - arecord doesn't work in amd x86_64 X2 dual core.
arecord doesn't work in amd x86_64 X2 dual core.
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-05-16 08:43 EDT by Andreas Madsack
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-18 06:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andreas Madsack 2006-05-16 08:43:52 EDT
arecord doen't work on a amd x86_64 X2 dual core.

arecord -d 10 -c 2 -f S16_LE -r 32000 foo.wav
arecord -d 10 -f S16_LE -r 48000 foo.wav
arecord -d 10 -f S16_LE -r 32000 foo.wav
arecord -d 10 -f S16_LE -r 16000 foo.wav

all examples must be terminated using Ctrl-c and only the 44 byte header is saved. 

The soundcard is a 
Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller
(rev a2)

We tested this problem on a similar pc with amd x86_64 single core with the same
soundcard and all works fine.

aplay works on both pcs without problems!

Same bug with Fedora Core 4.

We need recording on this pc, so we appreciate every help. Thanks.
Comment 1 Martin Stransky 2006-05-18 06:39:59 EDT
Please report it to ALSA project (www.alsa-project.org), it looks like a driver

Note You need to log in before you can comment on or make changes to this bug.